Package org.h2.store

# Class RecoverTester

java.lang.Object
org.h2.store.RecoverTester

All Implemented Interfaces:
  `Recorder`

public class RecoverTester extends Object implements Recorder
A tool that simulates a crash while writing to the database, and then verifies the database doesn't get corrupt.

## Field Summary

### Fields inherited from interface org.h2.store.fs.Recorder

`CREATE_NEW_FILE, CREATE_TEMP_FILE, DELETE, OPEN_OUTPUT_STREAM, RENAME, TRUNCATE, WRITE`

## Constructor Summary

Constructors
Constructor
Description
`RecoverTester()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`init(String recoverTest)`
Initialize the recover test.
`void`
`log(int op, String fileName, byte[] data, long x)`
Record the method.
`void`
`setTestEvery(int testEvery)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RecoverTester

public RecoverTester()

## Method Details

### init

public static void init(String recoverTest)
Initialize the recover test.

Parameters:
  `recoverTest` - the value of the recover test parameter

### log

public void log(int op, String fileName, byte[] data, long x)
Description copied from interface: `Recorder`
Record the method.

Specified by:
  `log` in interface `Recorder`
Parameters:
  `op` - the operation
  `fileName` - the file name or file name list
  `data` - the data or null
  `x` - the value or 0

### setTestEvery

public void setTestEvery(int testEvery)